tstop = 365;
dt    = .1;

rn = 2.75;
r1gam = 10;
%I  = 1.65;  %Iupper = 1.65
I  = .25  ;  %Ilower = .25;
k  = 2;

Px = 0:.01:4;

sink = rn*Px;
source = I + r1gam.*(Px.^3)./(k.^3+Px.^3);

figure(1);
plot(Px,sink,Px,source);

P = 0.5
data = [];
for time=0:dt:tstop
    Ix = (1-cos(2*pi*time/365));
    
    Pdot = -rn*P + Ix + r1gam.*(P.^3)./(k.^3+P.^3);
    P    =  P + dt*Pdot;
    
    data = [data; time Ix P];
end;

figure(2);
plot(data(:,1),data(:,2),data(:,1),data(:,3));

% P = .5;
% a = .4;
% b = .5;
% data = [];
% for time = 0:dt:tstop
%     Ix = a + (b-a)*rand(1,1);
%     Pdot = -rn*P + Ix + r1gam.*(P.^3)./(k.^3+P.^3);
%     P    =  max(0,P + dt*Pdot);
%     
%     data = [data; time Ix P];
% end;
% 
% figure(3);
% plot(data(:,1),data(:,2),data(:,1),data(:,3));
